//Copyright (C)2014-2023 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//Tool Version: V1.9.9.01 (64-bit)
//Part Number: GW5AST-LV138FPG676AC2/I1
//Device: GW5AST-138
//Device Version: B
//Created Time: Fri Jan 12 16:15:06 2024

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

	RoraLink_64B66B_Top your_instance_name(
		.sys_rst_i(sys_rst_i_i), //input sys_rst_i
		.sys_clk_i(sys_clk_i_i), //input sys_clk_i
		.init_clk_i(init_clk_i_i), //input init_clk_i
		.user_tx_data_i(user_tx_data_i_i), //input [63:0] user_tx_data_i
		.user_tx_valid_i(user_tx_valid_i_i), //input user_tx_valid_i
		.user_tx_ready_o(user_tx_ready_o_o), //output user_tx_ready_o
		.user_tx_strb_i(user_tx_strb_i_i), //input [7:0] user_tx_strb_i
		.user_tx_last_i(user_tx_last_i_i), //input user_tx_last_i
		.user_rx_data_o(user_rx_data_o_o), //output [63:0] user_rx_data_o
		.user_rx_valid_o(user_rx_valid_o_o), //output user_rx_valid_o
		.user_rx_strb_o(user_rx_strb_o_o), //output [7:0] user_rx_strb_o
		.user_rx_last_o(user_rx_last_o_o), //output user_rx_last_o
		.ufc_tx_req_i(ufc_tx_req_i_i), //input ufc_tx_req_i
		.ufc_tx_ms_i(ufc_tx_ms_i_i), //input [7:0] ufc_tx_ms_i
		.ufc_tx_data_i(ufc_tx_data_i_i), //input [63:0] ufc_tx_data_i
		.ufc_tx_valid_i(ufc_tx_valid_i_i), //input ufc_tx_valid_i
		.ufc_tx_ready_o(ufc_tx_ready_o_o), //output ufc_tx_ready_o
		.ufc_rx_data_o(ufc_rx_data_o_o), //output [63:0] ufc_rx_data_o
		.ufc_rx_strb_o(ufc_rx_strb_o_o), //output [7:0] ufc_rx_strb_o
		.ufc_rx_last_o(ufc_rx_last_o_o), //output ufc_rx_last_o
		.ufc_rx_valid_o(ufc_rx_valid_o_o), //output ufc_rx_valid_o
		.ufc_in_progress_o(ufc_in_progress_o_o), //output ufc_in_progress_o
		.user_tx_k_data_i(user_tx_k_data_i_i), //input [63:0] user_tx_k_data_i
		.user_tx_k_valid_i(user_tx_k_valid_i_i), //input user_tx_k_valid_i
		.user_tx_k_ready_o(user_tx_k_ready_o_o), //output user_tx_k_ready_o
		.user_rx_k_data_o(user_rx_k_data_o_o), //output [63:0] user_rx_k_data_o
		.user_rx_k_valid_o(user_rx_k_valid_o_o), //output user_rx_k_valid_o
		.hard_err_o(hard_err_o_o), //output hard_err_o
		.soft_err_o(soft_err_o_o), //output soft_err_o
		.channel_up_o(channel_up_o_o), //output channel_up_o
		.lane_up_o(lane_up_o_o), //output [0:0] lane_up_o
		.crc_pass_fail_n_o(crc_pass_fail_n_o_o), //output crc_pass_fail_n_o
		.crc_valid_o(crc_valid_o_o), //output crc_valid_o
		.gt_pma_rstn_i(gt_pma_rstn_i_i), //input gt_pma_rstn_i
		.gt_pll_ok_o(gt_pll_ok_o_o), //output gt_pll_ok_o
		.gt_pcs_tx_clk_o(gt_pcs_tx_clk_o_o), //output [0:0] gt_pcs_tx_clk_o
		.gt_pcs_tx_rst_i(gt_pcs_tx_rst_i_i), //input gt_pcs_tx_rst_i
		.gt_tx_fifo_wrusewd_o(gt_tx_fifo_wrusewd_o_o), //output [4:0] gt_tx_fifo_wrusewd_o
		.gt_rx_block_sync_o(gt_rx_block_sync_o_o), //output [0:0] gt_rx_block_sync_o
		.gt_rx_charerr_o(gt_rx_charerr_o_o), //output [0:0] gt_rx_charerr_o
		.gt_rx_align_link_o(gt_rx_align_link_o_o), //output [0:0] gt_rx_align_link_o
		.gt_rx_pma_lock_o(gt_rx_pma_lock_o_o), //output [0:0] gt_rx_pma_lock_o
		.gt_pcs_rx_clk_o(gt_pcs_rx_clk_o_o), //output [0:0] gt_pcs_rx_clk_o
		.gt_pcs_rx_rst_i(gt_pcs_rx_rst_i_i), //input gt_pcs_rx_rst_i
		.gt_rx_fifo_rdusewd_o(gt_rx_fifo_rdusewd_o_o), //output [4:0] gt_rx_fifo_rdusewd_o
		.tx_sys_reset_o(tx_sys_reset_o_o), //output tx_sys_reset_o
		.rx_sys_reset_o(rx_sys_reset_o_o), //output rx_sys_reset_o
		.serdes_pcs_tx_rst_o(serdes_pcs_tx_rst_o_o), //output [0:0] serdes_pcs_tx_rst_o
		.serdes_lanex_fabric_tx_clk_o(serdes_lanex_fabric_tx_clk_o_o), //output [0:0] serdes_lanex_fabric_tx_clk_o
		.serdes_lanex_tx_if_fifo_afull_i(serdes_lanex_tx_if_fifo_afull_i_i), //input [0:0] serdes_lanex_tx_if_fifo_afull_i
		.serdes_lnx_tx_vld_o(serdes_lnx_tx_vld_o_o), //output [0:0] serdes_lnx_tx_vld_o
		.serdes_lnx_txdata_o(serdes_lnx_txdata_o_o), //output [79:0] serdes_lnx_txdata_o
		.serdes_tx_if_fifo_wrusewd_i(serdes_tx_if_fifo_wrusewd_i_i), //input [4:0] serdes_tx_if_fifo_wrusewd_i
		.serdes_pcs_rx_rst_o(serdes_pcs_rx_rst_o_o), //output [0:0] serdes_pcs_rx_rst_o
		.serdes_lanex_fabric_rx_clk_o(serdes_lanex_fabric_rx_clk_o_o), //output [0:0] serdes_lanex_fabric_rx_clk_o
		.serdes_lanex_rx_if_fifo_aempty_i(serdes_lanex_rx_if_fifo_aempty_i_i), //input [0:0] serdes_lanex_rx_if_fifo_aempty_i
		.serdes_lanex_rx_if_fifo_rden_o(serdes_lanex_rx_if_fifo_rden_o_o), //output [0:0] serdes_lanex_rx_if_fifo_rden_o
		.serdes_lnx_rx_vld_i(serdes_lnx_rx_vld_i_i), //input [0:0] serdes_lnx_rx_vld_i
		.serdes_lnx_rxdata_i(serdes_lnx_rxdata_i_i), //input [87:0] serdes_lnx_rxdata_i
		.serdes_rx_if_fifo_rdusewd_i(serdes_rx_if_fifo_rdusewd_i_i), //input [4:0] serdes_rx_if_fifo_rdusewd_i
		.serdes_lnx_pma_rx_lock_i(serdes_lnx_pma_rx_lock_i_i), //input [0:0] serdes_lnx_pma_rx_lock_i
		.serdes_lanex_align_link_i(serdes_lanex_align_link_i_i), //input [0:0] serdes_lanex_align_link_i
		.serdes_lanex_k_lock_i(serdes_lanex_k_lock_i_i), //input [0:0] serdes_lanex_k_lock_i
		.serdes_lnx_rstn_o(serdes_lnx_rstn_o_o), //output [0:0] serdes_lnx_rstn_o
		.serdes_lanex_pcs_tx_fabric_clk_i(serdes_lanex_pcs_tx_fabric_clk_i_i), //input [0:0] serdes_lanex_pcs_tx_fabric_clk_i
		.serdes_lanex_pcs_rx_fabric_clk_i(serdes_lanex_pcs_rx_fabric_clk_i_i), //input [0:0] serdes_lanex_pcs_rx_fabric_clk_i
		.serdes_q0_cmu1_ok_i(serdes_q0_cmu1_ok_i_i), //input serdes_q0_cmu1_ok_i
		.serdes_q0_cmu0_ok_i(serdes_q0_cmu0_ok_i_i), //input serdes_q0_cmu0_ok_i
		.serdes_q1_cmu1_ok_i(serdes_q1_cmu1_ok_i_i), //input serdes_q1_cmu1_ok_i
		.serdes_q1_cmu0_ok_i(serdes_q1_cmu0_ok_i_i), //input serdes_q1_cmu0_ok_i
		.serdes_lanex_cmu_ok_i(serdes_lanex_cmu_ok_i_i) //input [0:0] serdes_lanex_cmu_ok_i
	);

//--------Copy end-------------------
