//Copyright (C)2014-2024 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//Tool Version: V1.9.9.01 (64-bit)
//Part Number: GW5AST-LV138FPG676AC2/I1
//Device: GW5AST-138B
//Device Version: B
//Created Time: Fri Jan 12 16:15:06 2024

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

    SerDes_Top your_instance_name(
        .RoraLink_64B66B_Top_user_tx_ready_o(RoraLink_64B66B_Top_user_tx_ready_o_o), //output RoraLink_64B66B_Top_user_tx_ready_o
        .RoraLink_64B66B_Top_user_rx_data_o(RoraLink_64B66B_Top_user_rx_data_o_o), //output [63:0] RoraLink_64B66B_Top_user_rx_data_o
        .RoraLink_64B66B_Top_user_rx_valid_o(RoraLink_64B66B_Top_user_rx_valid_o_o), //output RoraLink_64B66B_Top_user_rx_valid_o
        .RoraLink_64B66B_Top_user_rx_strb_o(RoraLink_64B66B_Top_user_rx_strb_o_o), //output [7:0] RoraLink_64B66B_Top_user_rx_strb_o
        .RoraLink_64B66B_Top_user_rx_last_o(RoraLink_64B66B_Top_user_rx_last_o_o), //output RoraLink_64B66B_Top_user_rx_last_o
        .RoraLink_64B66B_Top_ufc_tx_ready_o(RoraLink_64B66B_Top_ufc_tx_ready_o_o), //output RoraLink_64B66B_Top_ufc_tx_ready_o
        .RoraLink_64B66B_Top_ufc_rx_data_o(RoraLink_64B66B_Top_ufc_rx_data_o_o), //output [63:0] RoraLink_64B66B_Top_ufc_rx_data_o
        .RoraLink_64B66B_Top_ufc_rx_strb_o(RoraLink_64B66B_Top_ufc_rx_strb_o_o), //output [7:0] RoraLink_64B66B_Top_ufc_rx_strb_o
        .RoraLink_64B66B_Top_ufc_rx_last_o(RoraLink_64B66B_Top_ufc_rx_last_o_o), //output RoraLink_64B66B_Top_ufc_rx_last_o
        .RoraLink_64B66B_Top_ufc_rx_valid_o(RoraLink_64B66B_Top_ufc_rx_valid_o_o), //output RoraLink_64B66B_Top_ufc_rx_valid_o
        .RoraLink_64B66B_Top_ufc_in_progress_o(RoraLink_64B66B_Top_ufc_in_progress_o_o), //output RoraLink_64B66B_Top_ufc_in_progress_o
        .RoraLink_64B66B_Top_user_tx_k_ready_o(RoraLink_64B66B_Top_user_tx_k_ready_o_o), //output RoraLink_64B66B_Top_user_tx_k_ready_o
        .RoraLink_64B66B_Top_user_rx_k_data_o(RoraLink_64B66B_Top_user_rx_k_data_o_o), //output [63:0] RoraLink_64B66B_Top_user_rx_k_data_o
        .RoraLink_64B66B_Top_user_rx_k_valid_o(RoraLink_64B66B_Top_user_rx_k_valid_o_o), //output RoraLink_64B66B_Top_user_rx_k_valid_o
        .RoraLink_64B66B_Top_hard_err_o(RoraLink_64B66B_Top_hard_err_o_o), //output RoraLink_64B66B_Top_hard_err_o
        .RoraLink_64B66B_Top_soft_err_o(RoraLink_64B66B_Top_soft_err_o_o), //output RoraLink_64B66B_Top_soft_err_o
        .RoraLink_64B66B_Top_channel_up_o(RoraLink_64B66B_Top_channel_up_o_o), //output RoraLink_64B66B_Top_channel_up_o
        .RoraLink_64B66B_Top_lane_up_o(RoraLink_64B66B_Top_lane_up_o_o), //output RoraLink_64B66B_Top_lane_up_o
        .RoraLink_64B66B_Top_crc_pass_fail_n_o(RoraLink_64B66B_Top_crc_pass_fail_n_o_o), //output RoraLink_64B66B_Top_crc_pass_fail_n_o
        .RoraLink_64B66B_Top_crc_valid_o(RoraLink_64B66B_Top_crc_valid_o_o), //output RoraLink_64B66B_Top_crc_valid_o
        .RoraLink_64B66B_Top_gt_pll_ok_o(RoraLink_64B66B_Top_gt_pll_ok_o_o), //output RoraLink_64B66B_Top_gt_pll_ok_o
        .RoraLink_64B66B_Top_gt_pcs_tx_clk_o(RoraLink_64B66B_Top_gt_pcs_tx_clk_o_o), //output RoraLink_64B66B_Top_gt_pcs_tx_clk_o
        .RoraLink_64B66B_Top_gt_tx_fifo_wrusewd_o(RoraLink_64B66B_Top_gt_tx_fifo_wrusewd_o_o), //output [4:0] RoraLink_64B66B_Top_gt_tx_fifo_wrusewd_o
        .RoraLink_64B66B_Top_gt_rx_block_sync_o(RoraLink_64B66B_Top_gt_rx_block_sync_o_o), //output RoraLink_64B66B_Top_gt_rx_block_sync_o
        .RoraLink_64B66B_Top_gt_rx_charerr_o(RoraLink_64B66B_Top_gt_rx_charerr_o_o), //output RoraLink_64B66B_Top_gt_rx_charerr_o
        .RoraLink_64B66B_Top_gt_rx_align_link_o(RoraLink_64B66B_Top_gt_rx_align_link_o_o), //output RoraLink_64B66B_Top_gt_rx_align_link_o
        .RoraLink_64B66B_Top_gt_rx_pma_lock_o(RoraLink_64B66B_Top_gt_rx_pma_lock_o_o), //output RoraLink_64B66B_Top_gt_rx_pma_lock_o
        .RoraLink_64B66B_Top_gt_pcs_rx_clk_o(RoraLink_64B66B_Top_gt_pcs_rx_clk_o_o), //output RoraLink_64B66B_Top_gt_pcs_rx_clk_o
        .RoraLink_64B66B_Top_gt_rx_fifo_rdusewd_o(RoraLink_64B66B_Top_gt_rx_fifo_rdusewd_o_o), //output [4:0] RoraLink_64B66B_Top_gt_rx_fifo_rdusewd_o
        .RoraLink_64B66B_Top_tx_sys_reset_o(RoraLink_64B66B_Top_tx_sys_reset_o_o), //output RoraLink_64B66B_Top_tx_sys_reset_o
        .RoraLink_64B66B_Top_rx_sys_reset_o(RoraLink_64B66B_Top_rx_sys_reset_o_o), //output RoraLink_64B66B_Top_rx_sys_reset_o
        .RoraLink_64B66B_Top_sys_rst_i(RoraLink_64B66B_Top_sys_rst_i_i), //input RoraLink_64B66B_Top_sys_rst_i
        .RoraLink_64B66B_Top_sys_clk_i(RoraLink_64B66B_Top_sys_clk_i_i), //input RoraLink_64B66B_Top_sys_clk_i
        .RoraLink_64B66B_Top_init_clk_i(RoraLink_64B66B_Top_init_clk_i_i), //input RoraLink_64B66B_Top_init_clk_i
        .RoraLink_64B66B_Top_user_tx_data_i(RoraLink_64B66B_Top_user_tx_data_i_i), //input [63:0] RoraLink_64B66B_Top_user_tx_data_i
        .RoraLink_64B66B_Top_user_tx_valid_i(RoraLink_64B66B_Top_user_tx_valid_i_i), //input RoraLink_64B66B_Top_user_tx_valid_i
        .RoraLink_64B66B_Top_user_tx_strb_i(RoraLink_64B66B_Top_user_tx_strb_i_i), //input [7:0] RoraLink_64B66B_Top_user_tx_strb_i
        .RoraLink_64B66B_Top_user_tx_last_i(RoraLink_64B66B_Top_user_tx_last_i_i), //input RoraLink_64B66B_Top_user_tx_last_i
        .RoraLink_64B66B_Top_ufc_tx_req_i(RoraLink_64B66B_Top_ufc_tx_req_i_i), //input RoraLink_64B66B_Top_ufc_tx_req_i
        .RoraLink_64B66B_Top_ufc_tx_ms_i(RoraLink_64B66B_Top_ufc_tx_ms_i_i), //input [7:0] RoraLink_64B66B_Top_ufc_tx_ms_i
        .RoraLink_64B66B_Top_ufc_tx_data_i(RoraLink_64B66B_Top_ufc_tx_data_i_i), //input [63:0] RoraLink_64B66B_Top_ufc_tx_data_i
        .RoraLink_64B66B_Top_ufc_tx_valid_i(RoraLink_64B66B_Top_ufc_tx_valid_i_i), //input RoraLink_64B66B_Top_ufc_tx_valid_i
        .RoraLink_64B66B_Top_user_tx_k_data_i(RoraLink_64B66B_Top_user_tx_k_data_i_i), //input [63:0] RoraLink_64B66B_Top_user_tx_k_data_i
        .RoraLink_64B66B_Top_user_tx_k_valid_i(RoraLink_64B66B_Top_user_tx_k_valid_i_i), //input RoraLink_64B66B_Top_user_tx_k_valid_i
        .RoraLink_64B66B_Top_gt_pma_rstn_i(RoraLink_64B66B_Top_gt_pma_rstn_i_i), //input RoraLink_64B66B_Top_gt_pma_rstn_i
        .RoraLink_64B66B_Top_gt_pcs_tx_rst_i(RoraLink_64B66B_Top_gt_pcs_tx_rst_i_i), //input RoraLink_64B66B_Top_gt_pcs_tx_rst_i
        .RoraLink_64B66B_Top_gt_pcs_rx_rst_i(RoraLink_64B66B_Top_gt_pcs_rx_rst_i_i) //input RoraLink_64B66B_Top_gt_pcs_rx_rst_i
    );

//--------Copy end-------------------
