//Copyright (C)2014-2024 GOWIN Semiconductor Corporation.
//All rights reserved.
//File Title: Timing Constraints file
//GOWIN Version: 1.9.9.01
//Created Time: 2024-01-09 15:48:38
create_clock -name osc_clk_i -period 20 -waveform {0 10} [get_ports {osc_clk_i}]
create_clock -name cfg_clk -period 20 -waveform {0 10} [get_nets {cfg_clk}]
create_clock -name sys_clk -period 20.48 -waveform {0 10.24} [get_nets {sys_clk}]

set_false_path -from [get_clocks {cfg_clk}] -to [get_clocks {sys_clk}] 
set_false_path -from [get_clocks {sys_clk}] -to [get_clocks {cfg_clk}] 

